#

API Docs for: 1.0.0
Show: Inherited Protected Private Deprecated

# Sprite Class

Extends DisplayObjectContainer
Defined in: `src/pixi/Sprite.js:10`
Module: PIXI

## Constructor

### `Sprite`

(

- `texture`

)

Defined in `src/pixi/Sprite.js:10`

#### Parameters:

- `texture` Texture

- Index
- Methods
- Properties

## Item Index

### Methods

- addChild
- addChildAt
- click
- fromFrame static
- fromImage static
- getChildAt
- mousedown
- mouseout
- mouseover
- mouseup
- mouseupoutside
- removeChild
- setInteractive
- setTexture
- swapChildren
- tap
- touchend
- touchendoutside
- touchstart

### Properties

- alpha
- anchor
- blendMode
- buttonMode
- children
- height
- hitArea
- parent
- pivot
- position
- rotation
- scale
- stage
- texture
- visible
- width

## Methods

### `addChild`

(

- `DisplayObject`

)

Inherited from DisplayObjectContainer: `src/pixi/DisplayObjectContainer.js:41`

Adds a child to the container.

#### Parameters:

- `DisplayObject` DisplayObject

### `addChildAt`

(

- `DisplayObject`
- `index`

)

Inherited from DisplayObjectContainer: `src/pixi/DisplayObjectContainer.js:73`

Adds a child to the container at a specified index. If the index is out of bounds an error will be thrown

#### Parameters:

- `DisplayObject` DisplayObject
- `index` Number

### `click`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/DisplayObject.js:106`

A callback that is used when the users clicks on the displayObject with their mouse

#### Parameters:

- `interactionData` InteractionData

### `fromFrame`

(

- `frameId`

)
Sprite static

Defined in `src/pixi/Sprite.js:135`

Helper function that creates a sprite that will contain a texture from the TextureCache based on the frameId The frame ids are created when a Texture packer file has been loaded

#### Parameters:

- `frameId` String

  The frame Id of the texture in the cache

#### Returns:

Sprite: A new Sprite using a texture from the texture cache matching the frameId

### `fromImage`

(

- `The`

)
Sprite static

Defined in `src/pixi/Sprite.js:151`

Helper function that creates a sprite that will contain a texture based on an image url If the image is not in the texture cache it will be loaded

#### Parameters:

- `The` Object

  image url of the texture

#### Returns:

Sprite: A new Sprite using a texture from the texture cache matching the image id

### `getChildAt`

(

- `index`

)

Inherited from DisplayObjectContainer: `src/pixi/DisplayObjectContainer.js:168`

Returns the Child at the specified index

#### Parameters:

- `index` Number

### `mousedown`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/DisplayObject.js:112`

A callback that is used when the user clicks the mouse down over the sprite

#### Parameters:

- `interactionData` InteractionData

### `mouseout`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/DisplayObject.js:138`

A callback that is used when the users mouse leaves the displayObject

#### Parameters:

- `interactionData` InteractionData

### `mouseover`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/DisplayObject.js:132`

A callback that is used when the users mouse rolls over the displayObject

#### Parameters:

- `interactionData` InteractionData

### `mouseup`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/DisplayObject.js:118`

A callback that is used when the user releases the mouse that was over the displayObject for this callback to be fired the mouse must have been pressed down over the displayObject

#### Parameters:

- `interactionData` InteractionData

### `mouseupoutside`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/DisplayObject.js:125`

A callback that is used when the user releases the mouse that was over the displayObject but is no longer over the displayObject for this callback to be fired, The touch must have started over the displayObject

#### Parameters:

- `interactionData` InteractionData

### `removeChild`

(

- `DisplayObject`

)

Inherited from DisplayObjectContainer: `src/pixi/DisplayObjectContainer.js:186`

Removes a child from the container.

#### Parameters:

- `DisplayObject` DisplayObject

### `setInteractive`

(

- `interactive`

)

Inherited from DisplayObject: `src/pixi/DisplayObject.js:190`

Indicates if the sprite will have touch and mouse interactivity. It is false by default

#### Parameters:

- `interactive` Boolean

### `setTexture`

(

- `texture`

)

Defined in `src/pixi/Sprite.js:103`

#### Parameters:

- `texture` Texture

  The PIXI texture that is displayed by the sprite

### `swapChildren`

(

- `DisplayObject`
- `DisplayObject2`

)

Inherited from DisplayObjectContainer: `src/pixi/DisplayObjectContainer.js:128`

Swaps the depth of 2 displayObjects

#### Parameters:

- `DisplayObject` DisplayObject
- `DisplayObject2` DisplayObject

### `tap`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/DisplayObject.js:149`

A callback that is used when the users taps on the sprite with their finger basically a touch version of click

#### Parameters:

- `interactionData` InteractionData

### `touchend`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/DisplayObject.js:162`

A callback that is used when the user releases a touch over the displayObject

#### Parameters:

- `interactionData` InteractionData

### `touchendoutside`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/DisplayObject.js:168`

A callback that is used when the user releases the touch that was over the displayObject for this callback to be fired, The touch must have started over the sprite

#### Parameters:

- `interactionData` InteractionData

### `touchstart`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/DisplayObject.js:156`

A callback that is used when the user touch's over the displayObject

#### Parameters:

- `interactionData` InteractionData

## Properties

### `alpha`

Number

Inherited from DisplayObject: `src/pixi/DisplayObject.js:40`

The opacity of the object.

### `anchor`

Point

Defined in `src/pixi/Sprite.js:21`

The anchor sets the origin point of the texture. The default is 0,0 this means the textures origin is the top left Setting than anchor to 0.5,0.5 means the textures origin is centered Setting the anchor to 1,1 would mean the textures origin points will be the bottom right

### `blendMode`

Uint

Defined in `src/pixi/Sprite.js:38`

The blend mode of sprite. currently supports PIXI.blendModes.NORMAL and PIXI.blendModes.SCREEN

### `buttonMode`

Boolean

Inherited from DisplayObject: `src/pixi/DisplayObject.js:95`

This is used to indicate if the displayObject should display a mouse hand cursor on rollover

### `children`

Array

Inherited from DisplayObjectContainer: `src/pixi/DisplayObjectContainer.js:16`

[read-only] The of children of this container.

### `height`

#Number

Defined in `src/pixi/Sprite.js:53`

The height of the sprite (this is initially set by the texture)

### `hitArea`

Rectangle

Inherited from DisplayObject: `src/pixi/DisplayObject.js:69`

This is the defined area that will pick up mouse / touch events. It is null by default. Setting it is a neat way of optimising the hitTest function that the interactionManager will use (as it will not need to hit test all the children)

### `parent`

DisplayObjectContainer

Inherited from DisplayObject: `src/pixi/DisplayObject.js:55`

[read-only] The display object container that contains this display object.

### `pivot`

Point

Inherited from DisplayObject: `src/pixi/DisplayObject.js:26`

The pivot point of the displayObject that it rotates around

### `position`

Point

Inherited from DisplayObject: `src/pixi/DisplayObject.js:12`

The coordinate of the object relative to the local coordinates of the parent.

### `rotation`

Number

Inherited from DisplayObject: `src/pixi/DisplayObject.js:33`

The rotation of the object in radians.

### `scale`

Point

Inherited from DisplayObject: `src/pixi/DisplayObject.js:19`

The scale factor of the object.

### `stage`

Stage

Inherited from DisplayObject: `src/pixi/DisplayObject.js:62`

[read-only] The stage the display object is connected to, or undefined if it is not connected to the stage.

### `texture`

Texture

Defined in `src/pixi/Sprite.js:31`

The texture that the sprite is using

### `visible`

Boolean

Inherited from DisplayObject: `src/pixi/DisplayObject.js:47`

The visibility of the object.

### `width`

#Number

Defined in `src/pixi/Sprite.js:46`

The width of the sprite (this is initially set by the texture)